MagicWP Docs
Email Settings

Update a provider (status='deleted' to remove)

PATCH
/v1/sites/{site_id}/email-settings/providers/{provider_name}

Permission: email.manage

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid
provider_name*Provider Name

Request Body

application/json
  1. body
status?|

Only deleted is accepted — removes the provider from the site's email settings.

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

The result; on an error, details such as code and permission.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X PATCH "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/email-settings/providers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "active_provider": null,    "provider": null,    "providers": {      "property1": {        "api_key": "***",        "key_set": true,        "key_last4": "string",        "key_source": "option",        "from_email": "string",        "from_name": "string",        "domain": null      },      "property2": {        "api_key": "***",        "key_set": true,        "key_last4": "string",        "key_source": "option",        "from_email": "string",        "from_name": "string",        "domain": null      }    },    "enabled": true,    "plugin_installed": true,    "last_synced_at": null,    "stale": true  }}